精华内容
下载资源
问答
  • line 577, in module_from_spec File "", line 906, in create_module File "", line 222, in _call_with_frames_removed ImportError: DLL load failed: 找不到指定模块。 During handling of the above ...

    任何关于算法、编程、AI行业知识或博客内容的问题,可以随时扫码关注公众号「图灵的猫」,加入”学习小组“,沙雕博主在线答疑~此外,公众号内还有更多AI、算法、编程和大数据知识分享,以及免费的SSR节点和学习资料。其他平台(知乎/B站)也是同名「图灵的猫」,不要迷路哦~

     

    完整报错信息如下:

    Traceback (most recent call last):
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    File "<frozen importlib._bootstrap>", line 986, in _gcd_import
    File "<frozen importlib._bootstrap>", line 969, in _find_and_load
    File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
    File "<frozen importlib._bootstrap>", line 577, in module_from_spec
    File "<frozen importlib._bootstrap_external>", line 906, in create_module
    File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
    ImportError: DLL load failed: 找不到指定的模块。
    
    
    During handling of the above exception, another exception occurred:
    
    
    Traceback (most recent call last):
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    ImportError: No module named '_pywrap_tensorflow_internal'
    
    
    During handling of the above exception, another exception occurred:
    
    
    Traceback (most recent call last):
    File "<stdin>", line 1, in <module>
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\__init__.py", line 24, in <module>
    from tensorflow.python import *
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\__init__.py", line 51, in <module>
    from tensorflow.python import pywrap_tensorflow
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 52, in <module>
    raise ImportError(msg)
    ImportError: Traceback (most recent call last):
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 18, in swig_import_helper
    return importlib.import_module(mname)
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    File "<frozen importlib._bootstrap>", line 986, in _gcd_import
    File "<frozen importlib._bootstrap>", line 969, in _find_and_load
    File "<frozen importlib._bootstrap>", line 958, in _find_and_load_unlocked
    File "<frozen importlib._bootstrap>", line 666, in _load_unlocked
    File "<frozen importlib._bootstrap>", line 577, in module_from_spec
    File "<frozen importlib._bootstrap_external>", line 906, in create_module
    File "<frozen importlib._bootstrap>", line 222, in _call_with_frames_removed
    ImportError: DLL load failed: 找不到指定的模块。
    
    
    During handling of the above exception, another exception occurred:
    
    
    Traceback (most recent call last):
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow.py", line 41, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 21, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\site-packages\tensorflow\python\pywrap_tensorflow_internal.py", line 20, in swig_import_helper
    return importlib.import_module('_pywrap_tensorflow_internal')
    File "C:\Users\toy\AppData\Local\Programs\Python\Python35\lib\importlib\__init__.py", line 126, in import_module
    return _bootstrap._gcd_import(name[level:], package, level)
    ImportError: No module named '_pywrap_tensorflow_internal'
    
    
    
    
    Failed to load the native TensorFlow runtime.
    
    
    See https://www.tensorflow.org/install/install_sources#common_installation_problems
    
    
    for some common reasons and solutions. Include the entire stack trace
    above this error message when asking for help.

     

    错误原因如下:

    1.版本问题

    我自己的电脑上是,cuddn更换成6.0,之前TensorFlow1.3+python3.6+cuda8.0+cudnn5.0也是这个错误,换成cudnn6.0就成功了,亲测可用可以试试。以下是其他版本。

    tensorflow-gpu v1.9.0 | cuda9.0 |  cuDNN7.1.4可行  | 备注:7.0.4/ 7.0.5/ 7.1.2不明确

    tensorflow-gpu v1.8.0 | cuda9.0 |  cuDNN  不明确 | 备注:7.0.4/ 7.0.5/ 7.1.2/ 7.1.4

    tensorflow-gpu v1.7.0 | cuda9.0 |  cuDNN  不明确 | 备注:7.0.4/ 7.0.5/ 7.1.2/ 7.1.4

    tensorflow-gpu v1.6.0 | cuda9.0 |  cuDNN  不明确 | 备注:7.0.4/ 7.0.5/ 7.1.2/ 7.1.4

    tensorflow-gpu v1.5.0 | cuda9.0 |  cuDNN  不明确 | 备注:7.0.4/ 7.0.5/ 7.1.2/ 7.1.4

    tensorflow-gpu v1.4.0 | cuda8.0 |  cuDNN 6.0 | 备注:6.0正常使用, 7.0.5不能用,5.1未知 

    tensorflow-gpu v1.3.0 | cuda8.0 |  cuDNN 6.0 | 备注:6.0正常使用, 7.0.5不能用,5.1未知 

    tensorflow-gpu v1.2.0 | cuda8.0 |  cuDNN 5.1 | 备注:5.1正常使用, 6.0/ 7.0.5 未知

    tensorflow-gpu v1.1.0 | cuda8.0 |  cuDNN 5.1 | 备注:5.1正常使用, 6.0/ 7.0.5 未知
     

     

    如果是版本不兼容,假如你之前安装的是cudnn5.1的话,若你的TensorFlow为1.3版本以上,则只要将cudnn64_5改成cudnn64_6就可以了

     

    2. 环境问题

    • python的版本太高了,换成3.6的就好。
    • 安装Visual C++ Redistributable for Visual Studio 2015 vc_redist.x64就可以解决。
    • 确定你的系统中有MSVCP140.DLL,如果没有,可以在这里下载 
    • 确认你的系统PATH环境变量设置正确,把CUDA目录下的bin,lib/x64等路径包含进去 
    • 确认你的电脑正确安装了DXSDK_Jun10 

    最后记得安装之前一定要把tensorflow卸载干净:

     pip uninstall tensorflow
     pip uninstall tensorflow-gpu

    >>>关于作者

    CSDN 博客专家,2019-CSDN百大博主,计算机(机器学习方向)博士在读,业余Kaggle选手,有过美团、腾讯算法工程师经历,目前就职于Amazon AI lab。喜爱分享和知识整合。

    关注微信公众号,点击“学习资料”菜单即可获取算法、编程资源以及教学视频,还有免费SSR节点相送哦。其他平台(微信/知乎/B站),欢迎关注同名公众号「图灵的猫」~

    展开全文
  • 但是在安装这个ipmailer时却出现的无法卸载,其报错原因为:启动C:\program时出现问题,找不到指定模块 第二步:使用控制面板进行卸载 但是仍然出错,报错内容一样为:启动C:\program时出现问题,找不到指定...

    一、无法卸载的软件:

    在这里插入图片描述

    二、方法(卸载三步):

    第一步:一般都是使用腾讯管家的软件管理进行卸载。

    因为可以将残余进行一并卸载,可能较为干净。但是在安装这个ipmailer时却出现的无法卸载,其报错原因为:启动C:\program时出现问题,找不到指定模块
    在这里插入图片描述

    第二步:使用控制面板进行卸载

    在这里插入图片描述

    在这里插入图片描述
    在这里插入图片描述

    但是仍然出错,报错内容一样为:启动C:\program时出现问题,找不到指定模块
    在这里插入图片描述
    控制面板都无法卸载的可能性非常少,我几乎没有见过,除了这一个,于是进入第三步。

    第三步:使用原安装包进行覆盖安装。

    这种无法卸载的很多原因与该软件没有安装成功或者安装完成软件包确保误删有关,而此时进行覆盖性的完整安装,重新建立系统关联可以容易的解决,覆盖安装后回到第一步或者第二步。
    但是一般在国外软件可以不用回到第一步或者第二步,因为在再次安装时就会存在安装选项,此时选择remove即可。
    在这里插入图片描述
    选中remove
    在这里插入图片描述
    在这里插入图片描述
    在这里插入图片描述

    此后没有了,卸载成功:
    在这里插入图片描述

    展开全文
  • 安装完Tensorflow却找不到指定模块

    万次阅读 2020-04-16 10:23:09
    安装完Tensorflow,找不到指定模块,ImportError: DLL load failed问题解决办法。 摘要: 这篇blog将会提供几种解决方案,都是我踩过的坑,但是都一一解决了,希望对大家有所帮助。 解决方案(一):安装visual studio...

    安装完Tensorflow,找不到指定模块,ImportError: DLL load failed问题解决办法。

    摘要:

    这篇blog将会提供几种解决方案,都是我踩过的坑,但是都一一解决了,希望对大家有所帮助。

    解决方案(一):安装Visual Studio 2015、2017 和 2019 的 Microsoft Visual C++ 可再发行组件”

    下载地址:连接
    下载并安装好,再进行下一步验证tensorflow是否安装好。

    解决方案(二):检查安装的Tensorflow版本是否与已安装的python版本适配。

    检查连接–为清华镜像连接
    如果不适配,重新安装。

    解决方案(三):检查Tensorflow与cuda,cudnn版本是否适配。

    检查连接
    版本适配

    • tips
    • tensorflow2.1-GPU版本–cuda10.1–cudnn7.6
    • 方案(三)只适用于安装tensorflowGPU版本的同学。

    希望以上解决办法,对你有所帮助。

    展开全文
  • Intel Optane™ Memory Pinning 无法加载DLL"iaStorAfsServiceApi.dll":找不到指定模块。(异常来自HRESULT:0x8007007E)。 昨天更新win10。更新完发现右键点击任何文件夹都会出现这个异常,烦不胜烦,解决办法如下: ...

    Intel Optane™ Memory Pinning 无法加载DLL"iaStorAfsServiceApi.dll":找不到指定模块。(异常来自HRESULT:0x8007007E)。

    昨天更新win10。更新完发现右键点击任何文件夹都会出现下图这个异常,很烦,
    在这里插入图片描述
    解决办法如下:
    首先确定版本。按下windows+R,然后输入winver。
    我的系统版本是1903版
    在这里插入图片描述
    确认版本后,右键开始菜单——应用与功能,看下是否有安装找到 Intel-Rapid-Storage-technology,有的话,删除掉,然后重启电脑,如果没有忽略,直接下一步。

    第二步:下载下面链接的文件
    https://downloadcenter.intel.com/downloads/eula/29007/Intel-Rapid-Storage-Technology-Intel-RST-User-Interface-and-Driver?httpDown=https://downloadmirror.intel.com/29007/eng/f6flpy-x64.zip&linkId=72858866

    然后解压安装即可
    在这里插入图片描述

    展开全文
  • ocx找不到指定模块

    千次阅读 2017-01-13 14:35:53
    今天用C++编写了一个ocx控件,在ocx控件 内部,又调用了第三方的lib,dll库,程序运行成功了,在本机上自动注册成功,但是在别的电脑上注册总是提示找不到指定模块 现将出现的各种情况简单归纳下,水平有限,勿喷 1...
  • Import cv2 ImportError:DLL load failed:找不到指定模块缺少的dll
  • C#在XP系统下调用C++ dll时报找不到指定模块,VS2013下面编写的dll
  • BLAS加载错误,...出现问题,找不到指定模块

    万次阅读 多人点赞 2019-01-29 17:12:09
    出现问题,找不到指定模块。反复安装Matlab2016、2017打不开,又装了2015终于可以打开,但是运行程序报错: 反复安装Matlab2016、2017打不开,又装了2015终于可以打开,但是运行程序报错: BLAS加载错误.....出现...
  • 无法加载DLL:找不到指定模块 问题解决办法问题描述尝试过的无效方法最终解决办法疑问 问题描述 最近用C#写了一个WinForm应用程序,调用了一个别人写的DLL动态库,由于本人的电脑系统是64位的,将来写的程序要用到一...
  • 问题:安装Anaconda后,在任一文件夹中使用Windows Powershell 打开jupyter notebook时报错,显示找不到指定模块 解决方法:在环境变量中找到系统变量中的PATH,编辑,将Anaconda的安装目录下Ananconda\Library\bin...
  • Win10+python配置import mxnet及import torch出现error 126找不到指定模块配置:python3.5.2+mxnet 1.6.0+torch1.4.0 无GPU解决方法:下载“微软常用运行库合集”,安装之后可正常使用 配置:python3.5.2+mxnet ...
  • office2013 运行 setup.exe找不到指定模块 CreateTime--2018年4月22日06:06:05 Author:Marydon 1.情景再现   用压缩软件打开压缩包,直接运行setup.exe,直接报错。 2.解决方案  将这个压缩包,解压后,再...
  • 很多时候我们在搭建TensorFlow的时候需要配合使用numpy等包,在pycharm平台下经常会提示找不到指定模块等错误。针对此类情况笔者提出几点建议: 1、检查是否选择了对应的project interpreter。 2、各种包的版本不...
  • opencv python现在可以通过pip直接进行...可能以下方法不一定能解决你的问题,但确实解决了我的import cv2找不到指定模块的问题,可以创建一个虚拟环境试一下,防止常用环境崩。。。 网上有说检查microsoft Visu...
  • 这里写自定义目录标题 个人经历,一台WIN10上通过USB连接了一台...共享的文件夹也能访问,但双击网络打印机的时候跳出安装驱动,跑了一点,就跳出错误:0x0000007e找不到指定模块,费了九牛二虎找到原因,原来是Mic...
  • 启动C:\Windows\System32\logiLDA.DLL时出现问题,找不到指定模块 解决办法: 1.运行win + r、输入regedit 2.找到HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Run目录下的Logitech Download ...
  • import _mklinit ImportError: DLL load failed: 找不到指定模块。 然后就在网上百度,下面是 1. 设置环境变量,这是 原博客地址 当初在安装Anaconda中,根据其安装提示没有自动配置环境变量,选择了下一...
  • 网店管家客户端 3.1 安装上去 不能运行 提示找不到指定模块  原因:ado 这个activx组件 失效。。。 下载安装mdac2.8 注意 安装如何提示 出现致命错误。不支持此操作系统 。。右键属性 ,选择 兼容 ...
  • 接上篇Python 3.7 安装 Geopandas(链接:https://blog.csdn.net/winner_looser/article/details/88576209) 使用 pip installgeopandas安装后,...ImportError,DLL load failed 找不到指定模块 原因是手动安装的...
  • 开始学习PIL,写了段生成简单图片的代码。 from PIL import Image,ImageDraw img = Image.new('RGB', (300, 200), (61, 61, 61)) ImageDraw.Draw(img, 'RGB') with open('1.png', 'wb')as f: ...
  • 从事C#二次开发,相信都遇到过在调用DLL文件的时候,提示找不到指定模块,一般把dll文件放入软件生成目录下基本就解决了,但是有时候已经放在根目录下,还是同样报错,甚至自我怀疑是平台没选对的问题,如果一直解决...
  • matlab运行过程中出现找不到指定模块问题解决!!
  • 一开始安装opencv3.2.0是在opencv官网下载的opencv-3.2.0-vc14.exe文件直接安装的,但是安装完成后在jupyter中import opencv2失败,显示这样的错误:ImportError:DLL load fail:找不到指定模块。  尝试将opencv里的...
  • 遇到的问题:前几天在导入import cv2的时候,出现 ImportError:DLL load fail:找不到指定模块,我是按照pip install opencv-python方式安装的,但是仍旧出现问题,看了有三十多个博客以及帖子,有的说缺少 Visual ...
  • 解决 import cv2 出现 ImportError:DLL load fail:找不到指定模块 我的环境:win7 64位,anaconda3 ![]...
  • 打开php.exe的时候就报错,导致Composer无法安装,一直错。...php_oci8_12c.dll' - 找不到指定模块。 php_pdo_firebird.dll' - 找不到指定模块。 php_pdo_oci.dll' - 找不到指定模块。 php_pdo_oci...
  • 【原创】java.lang....找不到指定模块 公司开发需要对接黄金交易所的新黄金行情系统,java对接C,引用到了 jna,报出如下错误 java.lang.UnsatisfiedLinkError: The specified module could not be fo...
  • pycaharm运行tensorflow或是其它模块时出现“ImportError:DLL load failed:找不到指定模块”,一般是没有设置环境变量,或是anaconda安装的时候忘记勾选一个选项了。按照网上所写的那些解决方法,比如添加环境变量啊...
  • CV2 找不到指定模块

    千次阅读 2019-01-10 22:00:14
    2.安装cv2模块不能直接用命令pip install cv2安装,要用pip install opencv-python安装, 当然可能默认下载的模块跟你的Python环境匹配 3.检查microsoft Visual C++ distributed 2015 X64及以上版本环境有没有,...
  • 在Python里面载入dll时,如果这个dll还依赖于其它的dll的话,这些相关的dll也得要能被Python的进程访问。 (3)无法定位dll所在目录 (即使使用全局路径也没有用) (4)debug模式下打包dll,依赖msvcp140d.dll,...

空空如也

空空如也

1 2 3 4 5 ... 20
收藏数 843,138
精华内容 337,255
关键字:

找不到指定模块